# List catalog items **GET /api/external/hub/v1/catalog/items** Retrieve a list of catalog items belonging to the authenticated organization. ## Servers - Public API: https://api.useshelf.com (Public API) ## Parameters ### Query parameters - **page** (integer) Page number for pagination - **per_page** (integer) Number of items per page (default: 100) ## Responses ### 200 catalog items retrieved successfully #### Body: application/json (array[object]) - **id** (integer) Item ID - **name** (string | null) Item name - **mpn** (string | null) Manufacturer Part Number - **upc** (string | null) Universal Product Code - **hs_code** (string | null) Harmonized System code - **is_hazmat** (boolean | null) Whether the item is hazmat - **cold_storage_type** (string | null) Cold storage type - **can_expire** (boolean | null) Whether the item can expire [Powered by Bump.sh](https://bump.sh)